$('#saveIncBtn').live('click', function (e) {
    var bankid = $('#bankid').val();
    var accountname = $('#accountname').val();
    var accountnumber = $('#accountnumber').val();
    var balance = $('#accountbeginingbalance').val();
    var type = $('#accountcurrencytype').val();
    var oldAccName = $('#oldname').val();

    accountname = accountname.trim();
    type = type.trim();

    if (bankid == '-1') {
        $('#bankidError').show();
        $('#bankidError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 69px;'>*اختر البنك</p>");
    } else if (accountname == '') {
        $('#bankidError').hide();
        $('#accuntNameError').show();
        $('#accuntNameError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 123px;'>* ادخل اسم الحساب </p>");
    } else if (accountnumber == '') {
        $('#bankidError').hide();
        $('#accuntNameError').hide();
        $('#accuntNumberError').show();
        $('#accuntNumberError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 124px;'>* ادخل  رقم  الحساب</p>");
    } else if (balance == '') {
        $('#bankidError').hide();
        $('#accuntNameError').hide();
        $('#accuntNumberError').hide();
        $('#balanceError').show();
        $('#balanceError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 124px;'>* ادخل  قيمة  الحساب</p>");
    } else if (type == '') {
        $('#bankidError').hide();
        $('#accuntNameError').hide();
        $('#accuntNumberError').hide();
        $('#balanceError').hide();

        $('#typeError').show();
        $('#typeError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 124px;'>* ادخل  نوع  الحساب</p>");
    } else if (accountname != oldAccName) {
        $.post('salesreportajax.php?do=checkBankAcc', {accountname: accountname, bankid: bankid, accountnumber: accountnumber}, function (data) {
            if (data == -1) {
                $('#accuntNameError').show();
                $('#typeError').hide();
                $('#accuntNameError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 250px;'>*   تم ادخال هذا الاسم من قبل مع هذا البنك</p>");
            }
            else if (data == -2) {
                $('#typeError').hide();
                $('#accuntNameError').hide();
                $('#accuntNumberError').show();
                $('#accuntNumberError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 223px;'>*   تم ادخال هذا الرقم من قبل مع هذا البنك</p>");
            }
            else if (data == 0) {
                $('#bankidError').hide();
                $('#accuntNameError').hide();
                $('#accuntNumberError').hide();
                $('#myBankAccForm').submit();
                $('#saveIncBtn').attr("disabled", true);
            }
        });
    } else if (accountname == oldAccName) {
        $('#bankidError').hide();
        $('#typeError').hide();
        $('#accuntNameError').hide();
        $('#accuntNumberError').hide();
        $('#myBankAccForm').submit();
        $('#saveIncBtn').attr("disabled", true);
    }
});